Search documentation of wx

# wxAuiTabArt (wx v2.5.4)

Copy Markdown View Source

Tab art provider defines all the drawing functions used by `wxAuiNotebook`.

This allows the `wxAuiNotebook` to have a pluggable look-and-feel.

By default, a `wxAuiNotebook` uses an instance of this class called `wxAuiDefaultTabArt` (not implemented in wx) which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new tab art class.

Another example of creating a new `wxAuiNotebook` tab bar is `wxAuiSimpleTabArt`.

Call `wxAuiNotebook:setArtProvider/2` to make use of this new tab art.

wxWidgets docs: wxAuiTabArt

## Summary

### Types

wxAuiTabArt()

### Functions

setActiveColour(This, Colour)

Sets the colour of the selected tab.

setColour(This, Colour)

Sets the colour of the inactive tabs.

setFlags(This, Flags)

Sets flags.

setMeasuringFont(This, Font)

Sets the font used for calculating measurements.

setNormalFont(This, Font)

Sets the normal font for drawing labels.

setSelectedFont(This, Font)

Sets the font for drawing text for selected UI elements.

## Types

# wxAuiTabArt()

    -type wxAuiTabArt() :: wx:wx_object().

## Functions

# setActiveColour(This, Colour)

    -spec setActiveColour(This, Colour) -> ok when This :: wxAuiTabArt(), Colour :: wx:wx_colour().

Sets the colour of the selected tab.

Since: 2.9.2

# setColour(This, Colour)

    -spec setColour(This, Colour) -> ok when This :: wxAuiTabArt(), Colour :: wx:wx_colour().

Sets the colour of the inactive tabs.

Since: 2.9.2

# setFlags(This, Flags)

    -spec setFlags(This, Flags) -> ok when This :: wxAuiTabArt(), Flags :: integer().

Sets flags.

# setMeasuringFont(This, Font)

    -spec setMeasuringFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the font used for calculating measurements.

# setNormalFont(This, Font)

    -spec setNormalFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the normal font for drawing labels.

# setSelectedFont(This, Font)

    -spec setSelectedFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the font for drawing text for selected UI elements.